// model_1.sce
// Estimation of binary model
// -------------------------------------
clc,clear,close,mode(0)

// simulation
nd=200;                  // number of data
p=.3;                    // model probability
y=(rand(1,nd,'u')>p)+1;  // data

// estimation
n=zeros(1,2);            // initial statistcs
for t=1:nd
  n(y(t))=n(y(t))+1;     // statistics update
end
pE=n(1)/sum(n)           // point estimates
