// model_4.sce
// Esimation of Poisson model
// -------------------------------------
clc,clear,close,mode(0)

// simulation
nd=200;                  // number of data
lam=3;                   // model parameter
N=100;                   // length of binomial experiment
p=lam/N;                 //   for generation of Poisson
for t=1:nd
  y(t)=sum(rand(1,N,'u')<p); // data
end

// estimation
S=0;                     // initial 
ka=0;                    //   statistics
for t=1:nd
  S=S+y(t);              // update of
  ka=ka+1;               //   statistics
end
lamE=S/ka                // point estimates
