// model_6.sce
// Esimation of explanatory regression model
// -------------------------------------
clc,clear,close,mode(0)

// simulation
nd=200;                  // number of data
c1=2; c2=-3;             // regression coefficients
r=.2;                    // variance
x1=5*rand(1,nd,'n');     // first explanatory variable
x2=ceil(3*rand(1,nd,'u')); // second explanatory variable
y=c1*x1+c2*x2+sqrt(r)*rand(1,nd,'n'); // output

// estimation
for t=2:nd    
  Y(t,1)=y(t);           // computation of Y
  X(t,:)=[x1(t) x2(t)];  // computation of X
end
cE=inv(X'*X)*X'*Y        // esimate of parametrs
yp=X*cE;                 // prediction
ep=y'-yp;                // prediction error
rE=variance(ep)          // estimate of variance

