// init_1.sce
// Initialization of coin estimation
// -------------------------------------
clc, clear, close, mode(0);

// simulation
nd=500;                  // number of data
p=.7                     // model parameter
y=(rand(1,nd,'u')>p)+1;  // data

// initialization
ka=1;                    // strength of initialization (counter)
pE=.5;                   // initial parameter  p=P(y=1)
S=ka*[pE 1-pE];          // statistics  [numb. of 1, numb. of 2]

// estimation
for t=1:nd
  S(y(t))=S(y(t))+1;     // statistics
  ka=ka+1;               //   update
  pE=[pE S(1)/ka];       // estimates
end

// result
plot(0:nd,pE)
