function [z,xx]=kerf(y,h,ik)
  // Gaussian kernel density of data y
  // r    variance
  // h    step
  if argn(2)<2, n=20; end
  if argn(2)<3, ik=0; end

  mi=min(y);
  ma=max(y);
  s=mi:h:ma;
  xx=min(s):h:max(s);
  r=variance(y);
  k=0;
  for x=xx
    k=k+1;
    z(k)=0;
    select ik
    case 0, z(k)=z(k)+kerfx(y,x,r);
    case 1, z(k)=z(k)+kerfx1(y,x,r);
    case 2, z(k)=z(k)+kerfx2(y,x,r);
    case 3, z(k)=z(k)+kerfx3(y,x,r);
    end
  end
endfunction
