// model_9.sce
// Estimation of uniform model
// -------------------------------------
clc,clear,close,mode(0)

// simulation
nd=200;                  // number of data
L=3; U=5;                // parametrs
for t=1:nd
  y(t)=L+(U-L)*rand(1,1,'u'); // data
end

// estimation
LE=%inf;                 // initial 
UE=-%inf;                //   statistics (parameters)
for t=1:nd
  if y(t)<LE, LE=y(t); end // statistics
  if y(t)>UE, UE=y(t); end //   update
end
LE,UE                    // parameter estimates
